SystemOrganization addCategory: 'ConfigurationOfOrbeonBpm'!

BaselineOf subclass: #BaselineOfOrbeonBizagiReader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBpm'!

!BaselineOfOrbeonBizagiReader methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 18:05'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'OrbeonFormProcess'
         with: [ spec
					 className: 'ConfigurationOfOrbeonFormProcess';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeonFormProcess';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].

       spec package: 'OrbeonBizagiReader-BrunoBB' with: [ spec requires: #('Orbeon' 'OrbeonFormProcess') ] ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeonBpm
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonBpm'!

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 11:31'!
baseline0112: spec
	<version: '0.112-baseline'>
 
	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBPM'.

		spec project: 'AbstractApplication' with: [
			spec className: 'ConfigurationOfAbstractApplicationObjects';
				loads: #('default');
				versionString: '#stable';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBPM'].

		spec project: 'OrbeonLDAP' with: [
			spec className: 'ConfigurationOfOrbeonLDAP';
				versionString: #stable;
				loads: #('default');
				file: 'ConfigurationOfOrbeonLDAP';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec project: 'Orbeon' with: [
			spec className: 'ConfigurationOfOrbeon';
				versionString: '#stable';
				loads: #('default');
				file: 'ConfigurationOfOrbeon';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec package: 'OrbeonBPMCore' with: [spec requires: 'Orbeon'].
		spec package: 'OrbeonBPMRuntime' with: [spec requires: #('AbstractApplication' 'OrbeonLDAP' 'Orbeon' 'OrbeonBPMCore')].
	].! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 01/29/2016 05:07'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.112-baseline'.! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 11:40'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.114'.! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 11:40'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.114'.! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 02/07/2016 15:28'!
version0114: spec
	<version: '0.114' imports: #('0.112-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'BrunoBB'.
		spec project: 'AbstractApplication' with: '0.011'.
		spec project: 'OrbeonLDAP' with:'0.013'.
		spec project: 'Orbeon' with: '1.213'.

		spec package: 'OrbeonBPMCore' with: 'OrbeonBPMCore-BrunoBB.91'.
		spec package: 'OrbeonBPMRuntime' with: 'OrbeonBPMRuntime-BrunoBB.116'.

	]! !

!ConfigurationOfOrbeonBpm methodsFor: 'other' stamp: 'BrunoBB 01/29/2016 05:12'!
versionNumberClass
     ^MetacelloVersionNumber! !
